javax.swing.event

## Interface MouseInputListener

All Superinterfaces:
  EventListener, MouseListener, MouseMotionListener

All Known Implementing Classes:
  BasicDesktopIconUI.MouseInputHandler, BasicInternalFrameUI.BorderListener, BasicInternalFrameUI.GlassPaneDispatcher, BasicListUI.MouseInputHandler, BasicMenuItemUI.MouseInputHandler, BasicMenuUI.MouseInputHandler, BasicSliderUI.TrackListener, BasicTableHeaderUI.MouseInputHandler, BasicTableUI.MouseInputHandler, BasicToolBarUI.DockingListener, BasicTreeUI.MouseInputHandler, MetalToolBarUI.MetalDockingListener, MouseInputAdapter

    public interface MouseInputListener
    extends MouseListener, MouseMotionListener

A listener implementing all the methods in both the `MouseListener` and `MouseMotionListener` interfaces.

See Also:
  `MouseInputAdapter`

### Method Summary

### Methods inherited from interface java.awt.event.MouseListener

`mouseClicked, mouseEntered, mouseExited, mousePressed, mouseReleased`

### Methods inherited from interface java.awt.event.MouseMotionListener

`mouseDragged, mouseMoved`

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.